Bug 1483523 - [abrt] cinnamon-screensaver: manager.py:210:on_despawn_stage_complete:AttributeError: 'NoneType' object has no attribute 'destroy_stage'
Summary: [abrt] cinnamon-screensaver: manager.py:210:on_despawn_stage_complete:Attribu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon-screensaver
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5d719a0280c0da255d388d7c8bf...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-21 10:51 UTC by Gianfranco
Modified: 2017-11-11 03:06 UTC (History)
2 users (show)

Fixed In Version: cinnamon-screensaver-3.4.3-1.fc25 cinnamon-screensaver-3.4.3-1.fc26 cinnamon-screensaver-3.6.0-2.fc26 cinnamon-screensaver-3.4.3-1.fc27 cinnamon-screensaver-3.6.0-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-04 21:08:58 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (610 bytes, text/plain)
2017-08-21 10:51 UTC, Gianfranco
no flags Details
File: environ (1.35 KB, text/plain)
2017-08-21 10:51 UTC, Gianfranco
no flags Details

Description Gianfranco 2017-08-21 10:51:28 UTC
Version-Release number of selected component:
cinnamon-screensaver-3.4.1-2.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        cinnamon-screensaver '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
executable:     /usr/share/cinnamon-screensaver/cinnamon-screensaver-main.py
kernel:         4.11.12-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
manager.py:210:on_despawn_stage_complete:AttributeError: 'NoneType' object has no attribute 'destroy_stage'

Traceback (most recent call last):
  File "/usr/share/cinnamon-screensaver/util/fader.py", line 103, in _on_frame_tick_fade_out
    self.finished_cb()
  File "/usr/share/cinnamon-screensaver/manager.py", line 210, in on_despawn_stage_complete
    self.stage.destroy_stage()
AttributeError: 'NoneType' object has no attribute 'destroy_stage'

Local variables in innermost frame:
self: <manager.ScreensaverManager object at 0x7fe9d4099990 (manager+ScreensaverManager at 0x5d52835900)>
was_active: False

Comment 1 Gianfranco 2017-08-21 10:51:34 UTC
Created attachment 1316189 [details]
File: backtrace

Comment 2 Gianfranco 2017-08-21 10:51:36 UTC
Created attachment 1316190 [details]
File: environ

Comment 3 Fedora Update System 2017-10-12 11:53:15 UTC
cinnamon-screensaver-3.4.3-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7e466aa2ed

Comment 4 Fedora Update System 2017-10-12 11:53:34 UTC
cinnamon-screensaver-3.4.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3f44186174

Comment 5 Fedora Update System 2017-10-12 11:53:49 UTC
cinnamon-screensaver-3.4.3-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-553bf0cce4

Comment 6 Fedora Update System 2017-10-12 11:54:05 UTC
cinnamon-screensaver-3.4.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-efdf564c2b

Comment 7 Fedora Update System 2017-10-13 04:20:13 UTC
cinnamon-screensaver-3.4.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3f44186174

Comment 8 Fedora Update System 2017-10-13 04:24:22 UTC
cinnamon-screensaver-3.4.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7e466aa2ed

Comment 9 Fedora Update System 2017-10-13 04:51:07 UTC
cinnamon-screensaver-3.4.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-efdf564c2b

Comment 10 Fedora Update System 2017-10-13 06:24:48 UTC
cinnamon-screensaver-3.4.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-553bf0cce4

Comment 11 Fedora Update System 2017-10-25 22:58:06 UTC
nemo-extensions-3.6.0-1.fc26 nemo-3.6.2-1.fc26 cinnamon-3.6.0-1.fc26 cinnamon-control-center-3.6.0-1.fc26 cinnamon-session-3.6.0-1.fc26 cinnamon-screensaver-3.6.0-2.fc26 muffin-3.6.0-1.fc26 cinnamon-settings-daemon-3.6.0-1.fc26 cinnamon-translations-3.6.0-1.fc26 cinnamon-desktop-3.6.0-1.fc26 xapps-1.0.4-1.fc26 cinnamon-menus-3.6.0-1.fc26 cjs-3.6.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cef381f3ca

Comment 12 Fedora Update System 2017-10-25 22:58:33 UTC
nemo-extensions-3.6.0-1.fc27 nemo-3.6.2-1.fc27 cinnamon-3.6.0-1.fc27 cinnamon-control-center-3.6.0-1.fc27 cinnamon-session-3.6.0-1.fc27 cinnamon-screensaver-3.6.0-2.fc27 muffin-3.6.0-1.fc27 cinnamon-settings-daemon-3.6.0-1.fc27 cinnamon-translations-3.6.0-1.fc27 cinnamon-desktop-3.6.0-1.fc27 xapps-1.0.4-1.fc27 cinnamon-menus-3.6.0-1.fc27 cjs-3.6.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9a0c3ec5ec

Comment 13 Fedora Update System 2017-10-26 01:34:34 UTC
cinnamon-3.6.0-1.fc26, cinnamon-control-center-3.6.0-1.fc26, cinnamon-desktop-3.6.0-1.fc26, cinnamon-menus-3.6.0-1.fc26, cinnamon-screensaver-3.6.0-2.fc26, cinnamon-session-3.6.0-1.fc26, cinnamon-settings-daemon-3.6.0-1.fc26, cinnamon-translations-3.6.0-1.fc26, cjs-3.6.0-1.fc26, muffin-3.6.0-1.fc26, nemo-3.6.2-1.fc26, nemo-extensions-3.6.0-1.fc26, xapps-1.0.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cef381f3ca

Comment 14 Fedora Update System 2017-10-26 20:37:38 UTC
cinnamon-3.6.0-1.fc26 cinnamon-control-center-3.6.0-1.fc26 cinnamon-desktop-3.6.0-1.fc26 cinnamon-menus-3.6.0-1.fc26 cinnamon-screensaver-3.6.0-2.fc26 cinnamon-session-3.6.0-1.fc26 cinnamon-settings-daemon-3.6.0-1.fc26 cinnamon-translations-3.6.0-1.fc26 cjs-3.6.0-1.fc26 muffin-3.6.0-1.fc26 nemo-3.6.2-1.fc26 nemo-extensions-3.6.0-1.fc26 xapps-1.0.4-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cef381f3ca

Comment 15 Fedora Update System 2017-10-27 15:05:34 UTC
cinnamon-screensaver-3.4.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-10-27 15:38:38 UTC
cinnamon-3.6.0-1.fc26, cinnamon-control-center-3.6.0-1.fc26, cinnamon-desktop-3.6.0-1.fc26, cinnamon-menus-3.6.0-1.fc26, cinnamon-screensaver-3.6.0-2.fc26, cinnamon-session-3.6.0-1.fc26, cinnamon-settings-daemon-3.6.0-1.fc26, cinnamon-translations-3.6.0-1.fc26, cjs-3.6.0-1.fc26, mintlocale-1.4.4-1.fc26, muffin-3.6.0-1.fc26, nemo-3.6.2-2.fc26, nemo-extensions-3.6.0-1.fc26, xapps-1.0.4-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cef381f3ca

Comment 17 Fedora Update System 2017-10-27 17:05:43 UTC
cinnamon-screensaver-3.4.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-10-27 18:48:50 UTC
cinnamon-3.6.0-1.fc27, cinnamon-control-center-3.6.0-1.fc27, cinnamon-desktop-3.6.0-1.fc27, cinnamon-menus-3.6.0-1.fc27, cinnamon-screensaver-3.6.0-2.fc27, cinnamon-session-3.6.0-1.fc27, cinnamon-settings-daemon-3.6.0-1.fc27, cinnamon-translations-3.6.0-1.fc27, cjs-3.6.0-1.fc27, mintlocale-1.4.4-1.fc27, muffin-3.6.0-1.fc27, nemo-3.6.2-2.fc27, nemo-extensions-3.6.0-1.fc27, xapps-1.0.4-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9a0c3ec5ec

Comment 19 Fedora Update System 2017-11-04 21:08:58 UTC
cinnamon-3.6.0-1.fc26, cinnamon-control-center-3.6.0-1.fc26, cinnamon-desktop-3.6.0-1.fc26, cinnamon-menus-3.6.0-1.fc26, cinnamon-screensaver-3.6.0-2.fc26, cinnamon-session-3.6.0-1.fc26, cinnamon-settings-daemon-3.6.0-1.fc26, cinnamon-translations-3.6.0-1.fc26, cjs-3.6.0-1.fc26, mintlocale-1.4.4-1.fc26, muffin-3.6.0-1.fc26, nemo-3.6.2-2.fc26, nemo-extensions-3.6.0-1.fc26, xapps-1.0.4-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2017-11-11 02:51:52 UTC
cinnamon-screensaver-3.4.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2017-11-11 03:06:14 UTC
cinnamon-3.6.0-1.fc27, cinnamon-control-center-3.6.0-1.fc27, cinnamon-desktop-3.6.0-1.fc27, cinnamon-menus-3.6.0-1.fc27, cinnamon-screensaver-3.6.0-2.fc27, cinnamon-session-3.6.0-1.fc27, cinnamon-settings-daemon-3.6.0-1.fc27, cinnamon-translations-3.6.0-1.fc27, cjs-3.6.0-1.fc27, mintlocale-1.4.4-1.fc27, muffin-3.6.0-1.fc27, nemo-3.6.2-2.fc27, nemo-extensions-3.6.0-1.fc27, xapps-1.0.4-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.